<?php

header("Content-Type: text/plain;charset=UTF-8");

$dom = new DomDocument();
$dom->load("album1.xml");
//$dom->encoding="ISO-8859-2";

//A gyokerelem elerese
$root = $dom->documentElement;

print "--- get all childnodes of the root nodes --- \n";
foreach ($root->childNodes as $child) {
    print $child->nodeName ."\n";
}

print "--- get firstChild of root Node ---\n";
print $root->firstChild->nodeName ."\n";

print "--- get lastChild of rootNode --- \n";
print $root->lastChild->nodeName ."\n";

print "--- get nextSibling of firstChild of rootNode --- \n";
print $root->firstChild->nextSibling->nodeName ."\n";

print "--- get parentNode of firstChild of rootNode --- \n";
print $root->firstChild->parentNode->nodeName ."\n";

print "--- get all attribute of the first book node --- \n";
$kepek = $root->firstChild->nextSibling->nextSibling->nextSibling->nextSibling->nextSibling;
foreach ($kepek->childNodes as $child) {
    print $child->nodeName ." => " . $child->nodeValue ."\n";
}

print "--- get value of attribute id ---\n";
print $kepek->firstChild->nextSibling->getAttribute("azon")."\n";

print "--- get ownerDocument of rootNode ---\n";
var_dump( $root->ownerDocument);

print "--- get getElementsByTagName(kep) ---\n";
foreach ($dom->getElementsByTagName("kep") as $node) {
    print htmlspecialchars($node->nodeValue)."\n";
}

?>