<?php
header("Content-Type: text/html;charset=UTF-8");
?>

<html>
   <head>
      <title>SAX 1.</title>
      <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
      <META http-equiv="Pragma" content="no-cache">
      <meta http-equiv="Cache-Control" content="no-cache,must-revalidate">
   </head>
   <body>
<?php

$parser_object = xml_parser_create("UTF-8");
xml_parser_set_option($parser_object, XML_OPTION_TARGET_ENCODING, "UTF-8");

//Ha azt akarjuk, hogy ne legyenek nagy betusek az elemek
//xml_parser_set_option($parser_object, XML_OPTION_CASE_FOLDING, false);

xml_set_element_handler($parser_object,"startElement","endElement");
xml_set_character_data_handler($parser_object, "contentHandler");
xml_set_default_handler ($parser_object, "DefaultHandler");

//kezdo tagek esemenykezeloje
function startElement($parser_object, $elementname, $attribute) {
  print "\n<ul>";
  print "$elementname ";
  foreach ($attribute as $key => $value)
  {
    print "$key => $value; ";
  }
}
//zarotag-ek esemenykezeloje
function endElement($parser_object, $elementname) {
  print "</ul>\n";
}

//szoveg esemenykezeloje
function contentHandler($parser_object,$data)
{
  if (trim($data) != "") {
      //print utf8_decode("'<font color='green'>$data</font>'");
      print "'<font color='green'>$data</font>'";
  }
}

//default esemenykezelo
function DefaultHandler($parser_object, $data) {
    print "<font color='blue'>$data</font>";
}

$fp = fopen("album1.xml", "rb");
while ( $data = fread($fp, 4096) ) {
    if ( !xml_parse($parser_object, $data, feof($fp)) ) {
      die (sprintf("<br>XML error: %s %d sor, %d oszlop",
           xml_error_string(xml_get_error_code($parser_object)),
           xml_get_current_line_number($parser_object),
           xml_get_current_column_number($parser_object)));
    }
}
xml_parser_free($parser_object);

?>

   </body>
</html>