<?php
   //Ez azert kell, mert a META tag nem csinalta ezt
   header("Content-Type: text/html;charset=UTF-8");
?>
<html>
   <head>
      <title>Album</title>
      <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
      <META http-equiv="Pragma" content="no-cache">
      <meta http-equiv="Cache-Control" content="no-cache,must-revalidate">
   </head>
   
<body>
<?php

class AlbumParser {

   var $kepenbelul = false;
   var $tag = "";
   var $fileNev = "";
   var $mimeType = "";
   var $datum = "";
   var $szerzo = "";
   var $leiras = "";

   function ElemIras() {
      printf("<img src='%s'><br>\n", $this->fileNev);
      printf("<ul><li><b>Szerző:</b> %s</li>
                  <li><b>Mimetype:</b> %s</li>
                  <li><b>Dátum:</b> %s</li>
                  <li><b>Leírás:</b> %s</li>
             </ul>
             <hr>",
               $this->szerzo,
               $this->mimeType,
               $this->datum,
               $this->leiras);
   }

   function startElement($parser, $tagName, $attrs) {
      if ($this->kepenbelul) {
   		$this->tag = $tagName;
   	} elseif ($tagName == "KEP") {
   		$this->kepenbelul = true;
   	}
   }

   function endElement($parser, $tagName) {
      if ($tagName == "KEP") {
         $this->ElemIras();
         $this->fileNev = "";
         $this->mimeType = "";
         $this->datum = "";
         $this->szerzo = "";
         $this->leiras = "";
   		$this->kepenbelul = false;
   	}
   }

   function characterData($parser, $data) {
      if ($this->kepenbelul) {
      	switch ($this->tag) {
      		case "FILENEV":
         		$this->fileNev .= $data;
         		break;
      		case "MIMETYPE":
         		$this->mimeType .= $data;
         		break;
      		case "DATUM":
         		$this->datum .= $data;
         		break;
         	case "SZERZO":
         		$this->szerzo .= $data;
         		break;
            case "LEIRAS":
         		$this->leiras .= $data;
         		break;
      	}
   	}
   }
}

$xml_parser = xml_parser_create("UTF-8");
$album_parser = new AlbumParser();
xml_set_object($xml_parser, $album_parser);
xml_set_element_handler($xml_parser, "startElement", "endElement");
xml_set_character_data_handler($xml_parser, "characterData");
$fp = fopen("album1.xml","rb")
	or die("Hiba a file megnyitasa kozben.");
while ($data = fread($fp, 4096)) {
	xml_parse($xml_parser, $data, feof($fp))
		or die (sprintf("<br>XML error: %s %d sor, %d oszlop",
           xml_error_string(xml_get_error_code($parser_object)),
           xml_get_current_line_number($parser_object),
           xml_get_current_column_number($parser_object)));
}
fclose($fp);
xml_parser_free($xml_parser);

?>
</body>
</html>